Bug 1288142 - [DOCS] Should no longer get Ansible playbooks for installation from github
[DOCS] Should no longer get Ansible playbooks for installation from github
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation (Show other bugs)
3.0.0
Unspecified Unspecified
medium Severity high
: ---
: ---
Assigned To: Ashley Hardin
Gaoyun Pei
Vikram Goyal
:
: 1280121 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-03 11:28 EST by Eric Jones
Modified: 2016-03-31 14:59 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-31 14:59:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Jones 2015-12-03 11:28:45 EST
Document URL: 
https://access.redhat.com/documentation/en/openshift-enterprise/version-3.0/installation-and-configuration/#cloning-the-ansible-repository

Section Number and Name: 
2.4.5
Configuring Ansible

Describe the issue: 
The github for the ansible installer playbook is outdated and not being maintained any longer, it is now in packages shipped with rhel, see 3.1 docs 
https://access.redhat.com/documentation/en/openshift-enterprise/version-3.1/installation-and-configuration/#host-preparation

Suggestions for improvement: 
Make the 3.0 docs look more like the 3.1 docs in that regard.
Comment 3 Ashley Hardin 2016-02-24 11:58:43 EST
*** Bug 1280121 has been marked as a duplicate of this bug. ***
Comment 4 Ashley Hardin 2016-02-26 14:43:43 EST
Work in progress:
https://github.com/openshift/openshift-docs/pull/1659
Comment 6 Johnny Liu 2016-03-22 07:48:24 EDT
Seem like https://github.com/openshift/openshift-docs/pull/1659/files#diff-97beb7cd722dc66f9e694edf1a64440dR352 will install ansible playbook rpm as dependency. But I found one place need to be updated:
2.4.6. Running the Ansible Installer
<--snip-->
# ansible-playbook ~/openshift-ansible/playbooks/byo/config.yml
<--snip-->

According to PR, ansible playbook will be installed from rpm when running "yum install atomic-openshift-utils", so the above command should be updated to the same path just like the one in 3.1 doc.
# ansible-playbook /usr/share/ansible/openshift-ansible/playbooks/byo/config.yml
Comment 7 Ashley Hardin 2016-03-24 17:07:52 EDT
Sorry about that! You should be able to see the content in this build:
http://file.rdu.redhat.com/~ahardin/ansible-playbooks/install_config/install/index.html

I updated the ansible-playbook file path as well. Thanks!
Comment 8 Ma xiaoqiang 2016-03-24 21:51:29 EDT
Check the docs.
<--snip-->
After you’ve configured Ansible by defining an inventory file in /etc/ansible/hosts, you can run the Ansible installer:

# ansible-playbook /usr/share/ansible/openshift-ansible/playbooks/byo/config.yml
<--snip-->

In the 'prerequisites.adoc'
<--snip-->
# yum install atomic-openshift-utils.


move this issue to VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.